/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */
@import "../01_base/mixins";

main.country {
  padding-bottom: 30px;

  @include desktop {
    padding-bottom: 50px;
  }

  input {

    &[type="text"] {
      @include itemWrapper;
    }

    &[type="checkbox"] {
      width: 17px;
      height: 17px;
      border: none;
      cursor: pointer;
      opacity: 0;
      margin: 0;
      position: absolute;

      &:checked + span:before {
        background: $color-blue-02;
        box-shadow: inset 0 0 0 2.5px white;
      }

      &:hover + span:before {
        outline: 1px solid $color-blue-01;
      }

      + span {
        cursor: pointer;

        &:before {
          content: '';
          display: inline-block;
          width: 17px;
          height: 17px;
          background: $color-white-01;
          border: 1px double $color-blue-01;
          outline: 1px solid transparent;
          transition: outline-color 100ms;
          cursor: pointer;
          vertical-align: top;
          margin-right: 7px;
        }
      }
    }
  }

  .country-settings {

    .error-required,
    .error-not-valid {
      input, textarea, select {
        &:not(.not-validate) {
          border: 2px solid $color-red-08;
        }
      }
    }

    .group-form-settings {
      .level-sdg-list {
        > li + li {
          margin-top: 40px
        }
      }

      label {
        display: inline-block;
        margin: 4px 0;
        width: 150px;
      }

      .markdown {
        font-weight: 500;
      }

      .level,
      .sdg {
        display: inline-block;
        margin-bottom: 15px;
      }
      
      .level + .sdg {
        margin-left: 15px;
      }

      .country-mutateble-list {
        margin: 0;

        .country-mutateble-list-li {
          padding: 0 0 15px;
          border-bottom: solid 1px $transparency-black-02;
          margin: 0 0 10px;

          &:last-child {
            border-bottom: none;
            padding-bottom: 0;
            margin-bottom: 0;
          }

          > label {
            font-size: 16px;
            font-weight: 500;
            margin: 0;
          }

          > fieldset {
            padding: 0;
            margin: 0;
          }
        }

        fieldset {
          margin-bottom: -15px;
          border: none;
        }

        .props-wrapper {
          .prop {
            margin: 8px 0;

            > label {
              margin: 4px 15px 4px 0;
            }

            > input[type="text"] {
              width: calc(100% - 165px);
            }

            input[type="checkbox"] {
              margin-top: 4px;

              + span {

                &:before {
                  margin-right: 0;
                  margin-top: 4px;
                }
              }
            }
          }

          .options-wrapper {

            .field-option {
              background: $color-grey-03;
              padding: 10px;
              margin-bottom: 10px;

              > div {
                margin-top: 10px;

                &:first-child {
                  margin-top: 0;
                }

                &.key,
                &.label {

                  label {
                    width: 70px;
                    margin-right: 15px;
                  }

                  input {
                    width: calc(100% - 85px);
                  }
                }
              }
            }
          }
        }
      }
    }

    .group-lang-unit-settings {
      .lang-unit-list {
        > li + li {
          margin-top: 40px
        }
      }

      label {
        display: inline-block;
        margin: 4px 15px;
      }

      fieldset {
        border: solid 1px $transparency-black-02;
        padding-top: 10px;
      }

      .country_others {
        .units-wrapper {
          width: calc(100% + 20px);
          display: flex;
          flex-wrap: wrap;
          justify-content: center;
          margin-left: -10px;

          @include tablet {
            justify-content: flex-start;
          }

          .unit {
            width: 100%;
            margin: 4px 0;

            @include tablet {
              width: 50%;
              padding: 0 10px;
            }

            @include desktop {
              width: calc(100% / 3);
            }
          }
        }
      }
    }
  }
}
